#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_BaseInfoData
{
	//key
	std::string mKey;
	//ÊýÖµ
	int mValue;
};

class Fish_BaseInfo
{
public:
private:
	static std::auto_ptr<Fish_BaseInfo> msSingleton;
public:
	int GetCount();
	const Fish_BaseInfoData* GetData(std::string Key);
	boost::unordered_map<std::string, Fish_BaseInfoData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_BaseInfo* GetSingleton();
private:
	boost::unordered_map<std::string, Fish_BaseInfoData> mMapData;
};
